<template>
  <section class="mb-12">
    <h1 class="mb-2">
      {{ $t(heading) }}
    </h1>
    <div
      v-if="descripcion"
      class="text-body-2 font-weight-light"
    >
      {{descripcion}}
    </div>

    <v-responsive
      class="text-center mx-auto text-body-1 font-weight-light"
      max-width="400"
    >
      <slot />
    </v-responsive>
  </section>
</template>

<script>
  export default {
    name: 'ViewIntro',

    props: {
      heading: String,
      descripcion: String,
    },
  }
</script>
